Last modified: 2013-12-17 18:35:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 55980 - In Special:Watchlist, "Show/Hide logged-in users" should be "Show/Hide registered users"
In Special:Watchlist, "Show/Hide logged-in users" should be "Show/Hide regist...
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Watchlist (Other open bugs)
1.22.0
All All
: Normal minor (vote)
: 1.23.0 release
Assigned To: Alex Ivanov
: easy
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-10-22 00:47 UTC by Jason Quinn
Modified: 2013-12-17 18:35 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jason Quinn 2013-10-22 00:47:30 UTC
In Special:Watchlist, the "Show/Hide logged-in users" functionality should say "Show/Hide registered users" since this feature is not actually showing or hiding logged-in users but showing and hiding registered users. A registered user may or may not be logged-in and that information is private.
Comment 1 sakshi.april5 2013-10-29 10:52:10 UTC
Hello,

I am a beginner and would like to work on this bug. Can somebody assign it to
me?
Comment 2 MZMcBride 2013-10-29 15:56:33 UTC
(In reply to comment #1)
> I am a beginner and would like to work on this bug. Can somebody assign it to
> me?

Sure, done.
Comment 3 sakshi.april5 2013-10-30 11:03:44 UTC
Where can I find the codebase? I tried 

https://git.wikimedia.org/summary/mediawiki%2Fextensions%2FSemanticWatchlist.git 

but could not find the code.
Comment 4 Andre Klapper 2013-10-30 11:42:49 UTC
This is nothing semantic but MediaWiki core functionality in includes/specials/SpecialWatchlist.php , probably the rcshowhideliu parameter.
Comment 5 This, that and the other (TTO) 2013-11-17 08:23:56 UTC
sakshi: are you still working on this?
Comment 6 Jason Quinn 2013-12-16 07:21:58 UTC
Since sakshi hasn't responded within a month, I think it is okay to assume he is not working on it.

It'd be nice to get this bug fixed. It's too bad a fix for this didn't make it in alongside the new Watchlist legend feature.
Comment 7 Gerrit Notification Bot 2013-12-16 22:48:14 UTC
Change 102019 had a related patch set uploaded by MegaAlex:
Change message 'rcshowhideliu' to match its actual functionality

https://gerrit.wikimedia.org/r/102019
Comment 8 Nemo 2013-12-17 08:55:37 UTC
(In reply to comment #0)
> In Special:Watchlist, the "Show/Hide logged-in users" functionality should
> say
> "Show/Hide registered users" since this feature is not actually showing or
> hiding logged-in users but showing and hiding registered users. 

You look confused here: it's not doing either; it hides/shows *edits* by registered users, while they were logged in.
Maybe we instead need to clarify that the selectors are about edits? The confusion in comment 0 may be sign of a more general misunderstanding.
We currently say "minor edits", "patrolled edits" and "my edits"; we could also say "automated edits", "anonymous edits" and "logged-in edits" instead of "bots", "anonymous users" and "logged-in users". 

> A registered
> user may or may not be logged-in and that information is private.

Sure, but if they don't login we will never know that the edit was made by them, while if they login the information will be stored forever.
For a largely surreal discussion on such semantics, see https://meta.wikimedia.org/wiki/Research_talk:Anonymous_editor_acquisition#Anonymous_vs_Unregistered
Comment 9 Gerrit Notification Bot 2013-12-17 14:56:13 UTC
Change 102019 merged by jenkins-bot:
Change message 'rcshowhideliu' to match its actual functionality

https://gerrit.wikimedia.org/r/102019

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links